<?php
namespace Mirasvit\SeoSitemap\Console\Command\SitemapGenerateCommand;

/**
 * Interceptor class for @see \Mirasvit\SeoSitemap\Console\Command\SitemapGenerateCommand
 */
class Interceptor extends \Mirasvit\SeoSitemap\Console\Command\SitemapGenerateCommand implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\App\State $appState, \Magento\Framework\ObjectManagerInterface $objectManager, \Magento\Sitemap\Model\ResourceModel\Sitemap\CollectionFactory $collectionFactory)
    {
        $this->___init();
        parent::__construct($appState, $objectManager, $collectionFactory);
    }

    /**
     * {@inheritdoc}
     */
    public function run(\Symfony\Component\Console\Input\InputInterface $input, \Symfony\Component\Console\Output\OutputInterface $output) : int
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'run');
        return $pluginInfo ? $this->___callPlugins('run', func_get_args(), $pluginInfo) : parent::run($input, $output);
    }
}
